kind: Deployment
apiVersion: apps/v1
metadata:
  name: dubbo-reader-provider-deployment
  namespace: default
  uid: 1c8fa689-febc-4ee2-a0de-87cc57b2310f
  resourceVersion: '7516'
  generation: 1
  creationTimestamp: '2025-01-05T06:18:09Z'
  labels:
    appgroup: ''
    version: v1
  annotations:
    deployment.kubernetes.io/revision: '1'
    description: ''
    workload.cce.io/swr-version: '[{"version":"Private Edition"}]'
  managedFields:
    - manager: cfe-apiserver
      operation: Update
      apiVersion: apps/v1
      time: '2025-01-05T06:18:09Z'
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:description: {}
            f:workload.cce.io/swr-version: {}
          f:labels:
            .: {}
            f:appgroup: {}
            f:version: {}
        f:spec:
          f:progressDeadlineSeconds: {}
          f:replicas: {}
          f:revisionHistoryLimit: {}
          f:selector: {}
          f:strategy:
            f:rollingUpdate:
              .: {}
              f:maxSurge: {}
              f:maxUnavailable: {}
            f:type: {}
          f:template:
            f:metadata:
              f:labels:
                .: {}
                f:app: {}
                f:version: {}
            f:spec:
              f:containers:
                k:{"name":"dubbo-reader-provider-deployment-container-1"}:
                  .: {}
                  f:env:
                    .: {}
                    k:{"name":"PAAS_APP_NAME"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"PAAS_NAMESPACE"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"PAAS_PROJECT_ID"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"dubbo.application.qos-port"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"dubbo.registry.address"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:livenessProbe:
                    .: {}
                    f:failureThreshold: {}
                    f:httpGet:
                      .: {}
                      f:path: {}
                      f:port: {}
                      f:scheme: {}
                    f:periodSeconds: {}
                    f:successThreshold: {}
                    f:timeoutSeconds: {}
                  f:name: {}
                  f:readinessProbe:
                    .: {}
                    f:failureThreshold: {}
                    f:httpGet:
                      .: {}
                      f:path: {}
                      f:port: {}
                      f:scheme: {}
                    f:periodSeconds: {}
                    f:successThreshold: {}
                    f:timeoutSeconds: {}
                  f:resources:
                    .: {}
                    f:limits:
                      .: {}
                      f:cpu: {}
                      f:memory: {}
                    f:requests:
                      .: {}
                      f:cpu: {}
                      f:memory: {}
                  f:startupProbe:
                    .: {}
                    f:failureThreshold: {}
                    f:httpGet:
                      .: {}
                      f:path: {}
                      f:port: {}
                      f:scheme: {}
                    f:periodSeconds: {}
                    f:successThreshold: {}
                    f:timeoutSeconds: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
              f:dnsPolicy: {}
              f:imagePullSecrets:
                .: {}
                k:{"name":"default-secret"}: {}
              f:restartPolicy: {}
              f:schedulerName: {}
              f:securityContext: {}
              f:terminationGracePeriodSeconds: {}
              f:tolerations: {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2025-01-05T06:18:30Z'
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:deployment.kubernetes.io/revision: {}
        f:status:
          f:availableReplicas: {}
          f:conditions:
            .: {}
            k:{"type":"Available"}:
              .: {}
              f:lastTransitionTime: {}
              f:lastUpdateTime: {}
              f:message: {}
              f:reason: {}
              f:status: {}
              f:type: {}
            k:{"type":"Progressing"}:
              .: {}
              f:lastTransitionTime: {}
              f:lastUpdateTime: {}
              f:message: {}
              f:reason: {}
              f:status: {}
              f:type: {}
          f:observedGeneration: {}
          f:readyReplicas: {}
          f:replicas: {}
          f:updatedReplicas: {}
      subresource: status
spec:
  replicas: 1
  selector:
    matchLabels:
      app: dubbo-reader-provider-deployment
      version: v1
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: dubbo-reader-provider-deployment
        version: v1
    spec:
      containers:
        - name: dubbo-reader-provider-deployment-container-1
          image: swr.cn-north-1.myhuaweicloud.com/bcx/tenant-open-dubbo-reader-provider:1.0.0-prod
          env:
            - name: PAAS_APP_NAME
              value: dubbo-reader-provider-deployment
            - name: PAAS_NAMESPACE
              value: default
            - name: PAAS_PROJECT_ID
              value: 1b7d1fb374754a5fbed023e0ddfe769c
            - name: dubbo.registry.address
              value: nacos://nacos-deployment-service.default.svc.cluster.local:8848?username=nacos&password=nacos
            - name: dubbo.application.qos-port
              value: '2222'
          resources:
            limits:
              cpu: '1'
              memory: 1Gi
            requests:
              cpu: '1'
              memory: 1Gi
          livenessProbe:
            httpGet:
              path: /live
              port: 2222
              scheme: HTTP
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 2222
              scheme: HTTP
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          startupProbe:
            httpGet:
              path: /startup
              port: 2222
              scheme: HTTP
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      imagePullSecrets:
        - name: default-secret
      schedulerName: default-scheduler
      tolerations:
        - key: node.kubernetes.io/not-ready
          operator: Exists
          effect: NoExecute
          tolerationSeconds: 300
        - key: node.kubernetes.io/unreachable
          operator: Exists
          effect: NoExecute
          tolerationSeconds: 300
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600
status:
  observedGeneration: 1
  replicas: 1
  updatedReplicas: 1
  readyReplicas: 1
  availableReplicas: 1
  conditions:
    - type: Available
      status: 'True'
      lastUpdateTime: '2025-01-05T06:18:30Z'
      lastTransitionTime: '2025-01-05T06:18:30Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
    - type: Progressing
      status: 'True'
      lastUpdateTime: '2025-01-05T06:18:30Z'
      lastTransitionTime: '2025-01-05T06:18:09Z'
      reason: NewReplicaSetAvailable
      message: ReplicaSet "dubbo-reader-provider-deployment-6455bbb88f" has successfully progressed.
